#!/usr/bin/env bash
#   *** validation ***
scripts/run-validator-tests.sh
scripts/run-checker-tests.sh

#    *** tests ***
mkdir -p tests
echo "Generating test #111"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -1000000" "tests/111" 111
echo "Generating test #112"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -100000" "tests/112" 112
echo "Generating test #113"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -10000" "tests/113" 113
echo "Generating test #114"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -1000" "tests/114" 114
echo "Generating test #115"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -100" "tests/115" 115
echo "Generating test #116"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -10" "tests/116" 116
echo "Generating test #117"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -5" "tests/117" 117
echo "Generating test #118"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -3" "tests/118" 118
echo "Generating test #119"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -2" "tests/119" 119
echo "Generating test #120"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 -1" "tests/120" 120
echo "Generating test #121"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 0" "tests/121" 121
echo "Generating test #122"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 1" "tests/122" 122
echo "Generating test #123"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 2" "tests/123" 123
echo "Generating test #124"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 3" "tests/124" 124
echo "Generating test #125"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 5" "tests/125" 125
echo "Generating test #126"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 10" "tests/126" 126
echo "Generating test #127"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 100" "tests/127" 127
echo "Generating test #128"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 1000" "tests/128" 128
echo "Generating test #129"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 10000" "tests/129" 129
echo "Generating test #130"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 100000" "tests/130" 130
echo "Generating test #131"
scripts/gen-input-via-stdout.sh "wine files/gen_triangle_tree.exe 49998 1000000" "tests/131" 131
echo "Generating test #132"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 5 0" "tests/132" 132
echo "Generating test #133"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 2 0" "tests/133" 133
echo "Generating test #134"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 1 0" "tests/134" 134
echo "Generating test #135"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 0 0" "tests/135" 135
echo "Generating test #136"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 -1 0" "tests/136" 136
echo "Generating test #137"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 -2 0" "tests/137" 137
echo "Generating test #138"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 -5 0" "tests/138" 138
echo "Generating test #139"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 2 -5" "tests/139" 139
echo "Generating test #140"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 2 -2" "tests/140" 140
echo "Generating test #141"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 2 2" "tests/141" 141
echo "Generating test #142"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 50000 2 3 2 5" "tests/142" 142
echo "Generating test #143"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 5 0" "tests/143" 143
echo "Generating test #144"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 2 0" "tests/144" 144
echo "Generating test #145"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 1 0" "tests/145" 145
echo "Generating test #146"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 0 0" "tests/146" 146
echo "Generating test #147"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 -1 0" "tests/147" 147
echo "Generating test #148"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 -2 0" "tests/148" 148
echo "Generating test #149"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 -5 0" "tests/149" 149
echo "Generating test #150"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 2 -5" "tests/150" 150
echo "Generating test #151"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 2 -2" "tests/151" 151
echo "Generating test #152"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 2 2" "tests/152" 152
echo "Generating test #153"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 26000 2 5 2 5" "tests/153" 153
echo "Generating test #154"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 5 0" "tests/154" 154
echo "Generating test #155"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 2 0" "tests/155" 155
echo "Generating test #156"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 1 0" "tests/156" 156
echo "Generating test #157"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 0 0" "tests/157" 157
echo "Generating test #158"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 -1 0" "tests/158" 158
echo "Generating test #159"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 -2 0" "tests/159" 159
echo "Generating test #160"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 -5 0" "tests/160" 160
echo "Generating test #161"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 2 -5" "tests/161" 161
echo "Generating test #162"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 2 -2" "tests/162" 162
echo "Generating test #163"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 2 2" "tests/163" 163
echo "Generating test #164"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 25000 4 5 2 5" "tests/164" 164
echo "Generating test #165"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 2000 2 100 0 0" "tests/165" 165
echo "Generating test #166"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 1300 2 100 2 0" "tests/166" 166
echo "Generating test #167"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 1000 2 100 5 0" "tests/167" 167
echo "Generating test #168"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 2000 2 100 -2 0" "tests/168" 168
echo "Generating test #169"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 2000 2 100 -5 0" "tests/169" 169
echo "Generating test #170"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 200 2 1000 0 0" "tests/170" 170
echo "Generating test #171"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 130 2 1000 2 0" "tests/171" 171
echo "Generating test #172"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 100 2 1000 5 0" "tests/172" 172
echo "Generating test #173"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 200 2 1000 -2 0" "tests/173" 173
echo "Generating test #174"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 200 2 1000 -5 0" "tests/174" 174
echo "Generating test #175"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 18 2 10000 0 0" "tests/175" 175
echo "Generating test #176"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 14 2 10000 2 0" "tests/176" 176
echo "Generating test #177"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 10 2 10000 5 0" "tests/177" 177
echo "Generating test #178"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 20 2 10000 -2 0" "tests/178" 178
echo "Generating test #179"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 20 2 10000 -5 0" "tests/179" 179
echo "Generating test #180"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 1 100000 100000 0 0" "tests/180" 180
echo "Generating test #181"
scripts/gen-input-via-stdout.sh "wine files/gen_random.exe 1 99999 99999 0 0" "tests/181" 181
scripts/gen-input-via-files.sh "java -Xmx512M -Xss64M -DONLINE_JUDGE=true -Duser.language=en -Duser.region=US -Duser.variant=US -jar ../files/CactusTests.jar" "tests/03:tests/04:tests/05:tests/06:tests/07:tests/08:tests/09:tests/10:tests/11:tests/12:tests/13:tests/14:tests/15:tests/16:tests/17:tests/18:tests/19:tests/20:tests/21:tests/22:tests/23:tests/24:tests/25:tests/26:tests/27:tests/28:tests/29:tests/30:tests/31:tests/32:tests/33:tests/34:tests/35:tests/36:tests/37:tests/38:tests/39:tests/40:tests/41:tests/42:tests/43:tests/44:tests/45:tests/46:tests/47:tests/48:tests/49:tests/50:tests/51:tests/52:tests/53:tests/54:tests/55:tests/56:tests/57:tests/58:tests/59:tests/60:tests/61:tests/62:tests/63:tests/64:tests/65:tests/66:tests/67:tests/68:tests/69:tests/70:tests/71:tests/72:tests/73:tests/74:tests/75:tests/76:tests/77:tests/78:tests/79:tests/80:tests/81:tests/82:tests/83:tests/84:tests/85:tests/86:tests/87:tests/88:tests/89:tests/90:tests/91:tests/92:tests/93:tests/94:tests/95:tests/96:tests/97:tests/98:tests/99:tests/100:tests/101:tests/102:tests/103:tests/104:tests/105:tests/106:tests/107:tests/108:tests/109:tests/110" "3:4:5:6:7:8:9:10:11:12:13:14:15:16:17:18:19:20:21:22:23:24:25:26:27:28:29:30:31:32:33:34:35:36:37:38:39:40:41:42:43:44:45:46:47:48:49:50:51:52:53:54:55:56:57:58:59:60:61:62:63:64:65:66:67:68:69:70:71:72:73:74:75:76:77:78:79:80:81:82:83:84:85:86:87:88:89:90:91:92:93:94:95:96:97:98:99:100:101:102:103:104:105:106:107:108:109:110"
echo ""
echo "Generating answer for test #1"
scripts/gen-answer.sh tests/01 tests/01.a "tests" ""
echo ""
echo "Generating answer for test #2"
scripts/gen-answer.sh tests/02 tests/02.a "tests" ""
echo ""
echo "Generating answer for test #3"
scripts/gen-answer.sh tests/03 tests/03.a "tests" ""
echo ""
echo "Generating answer for test #4"
scripts/gen-answer.sh tests/04 tests/04.a "tests" ""
echo ""
echo "Generating answer for test #5"
scripts/gen-answer.sh tests/05 tests/05.a "tests" ""
echo ""
echo "Generating answer for test #6"
scripts/gen-answer.sh tests/06 tests/06.a "tests" ""
echo ""
echo "Generating answer for test #7"
scripts/gen-answer.sh tests/07 tests/07.a "tests" ""
echo ""
echo "Generating answer for test #8"
scripts/gen-answer.sh tests/08 tests/08.a "tests" ""
echo ""
echo "Generating answer for test #9"
scripts/gen-answer.sh tests/09 tests/09.a "tests" ""
echo ""
echo "Generating answer for test #10"
scripts/gen-answer.sh tests/10 tests/10.a "tests" ""
echo ""
echo "Generating answer for test #11"
scripts/gen-answer.sh tests/11 tests/11.a "tests" ""
echo ""
echo "Generating answer for test #12"
scripts/gen-answer.sh tests/12 tests/12.a "tests" ""
echo ""
echo "Generating answer for test #13"
scripts/gen-answer.sh tests/13 tests/13.a "tests" ""
echo ""
echo "Generating answer for test #14"
scripts/gen-answer.sh tests/14 tests/14.a "tests" ""
echo ""
echo "Generating answer for test #15"
scripts/gen-answer.sh tests/15 tests/15.a "tests" ""
echo ""
echo "Generating answer for test #16"
scripts/gen-answer.sh tests/16 tests/16.a "tests" ""
echo ""
echo "Generating answer for test #17"
scripts/gen-answer.sh tests/17 tests/17.a "tests" ""
echo ""
echo "Generating answer for test #18"
scripts/gen-answer.sh tests/18 tests/18.a "tests" ""
echo ""
echo "Generating answer for test #19"
scripts/gen-answer.sh tests/19 tests/19.a "tests" ""
echo ""
echo "Generating answer for test #20"
scripts/gen-answer.sh tests/20 tests/20.a "tests" ""
echo ""
echo "Generating answer for test #21"
scripts/gen-answer.sh tests/21 tests/21.a "tests" ""
echo ""
echo "Generating answer for test #22"
scripts/gen-answer.sh tests/22 tests/22.a "tests" ""
echo ""
echo "Generating answer for test #23"
scripts/gen-answer.sh tests/23 tests/23.a "tests" ""
echo ""
echo "Generating answer for test #24"
scripts/gen-answer.sh tests/24 tests/24.a "tests" ""
echo ""
echo "Generating answer for test #25"
scripts/gen-answer.sh tests/25 tests/25.a "tests" ""
echo ""
echo "Generating answer for test #26"
scripts/gen-answer.sh tests/26 tests/26.a "tests" ""
echo ""
echo "Generating answer for test #27"
scripts/gen-answer.sh tests/27 tests/27.a "tests" ""
echo ""
echo "Generating answer for test #28"
scripts/gen-answer.sh tests/28 tests/28.a "tests" ""
echo ""
echo "Generating answer for test #29"
scripts/gen-answer.sh tests/29 tests/29.a "tests" ""
echo ""
echo "Generating answer for test #30"
scripts/gen-answer.sh tests/30 tests/30.a "tests" ""
echo ""
echo "Generating answer for test #31"
scripts/gen-answer.sh tests/31 tests/31.a "tests" ""
echo ""
echo "Generating answer for test #32"
scripts/gen-answer.sh tests/32 tests/32.a "tests" ""
echo ""
echo "Generating answer for test #33"
scripts/gen-answer.sh tests/33 tests/33.a "tests" ""
echo ""
echo "Generating answer for test #34"
scripts/gen-answer.sh tests/34 tests/34.a "tests" ""
echo ""
echo "Generating answer for test #35"
scripts/gen-answer.sh tests/35 tests/35.a "tests" ""
echo ""
echo "Generating answer for test #36"
scripts/gen-answer.sh tests/36 tests/36.a "tests" ""
echo ""
echo "Generating answer for test #37"
scripts/gen-answer.sh tests/37 tests/37.a "tests" ""
echo ""
echo "Generating answer for test #38"
scripts/gen-answer.sh tests/38 tests/38.a "tests" ""
echo ""
echo "Generating answer for test #39"
scripts/gen-answer.sh tests/39 tests/39.a "tests" ""
echo ""
echo "Generating answer for test #40"
scripts/gen-answer.sh tests/40 tests/40.a "tests" ""
echo ""
echo "Generating answer for test #41"
scripts/gen-answer.sh tests/41 tests/41.a "tests" ""
echo ""
echo "Generating answer for test #42"
scripts/gen-answer.sh tests/42 tests/42.a "tests" ""
echo ""
echo "Generating answer for test #43"
scripts/gen-answer.sh tests/43 tests/43.a "tests" ""
echo ""
echo "Generating answer for test #44"
scripts/gen-answer.sh tests/44 tests/44.a "tests" ""
echo ""
echo "Generating answer for test #45"
scripts/gen-answer.sh tests/45 tests/45.a "tests" ""
echo ""
echo "Generating answer for test #46"
scripts/gen-answer.sh tests/46 tests/46.a "tests" ""
echo ""
echo "Generating answer for test #47"
scripts/gen-answer.sh tests/47 tests/47.a "tests" ""
echo ""
echo "Generating answer for test #48"
scripts/gen-answer.sh tests/48 tests/48.a "tests" ""
echo ""
echo "Generating answer for test #49"
scripts/gen-answer.sh tests/49 tests/49.a "tests" ""
echo ""
echo "Generating answer for test #50"
scripts/gen-answer.sh tests/50 tests/50.a "tests" ""
echo ""
echo "Generating answer for test #51"
scripts/gen-answer.sh tests/51 tests/51.a "tests" ""
echo ""
echo "Generating answer for test #52"
scripts/gen-answer.sh tests/52 tests/52.a "tests" ""
echo ""
echo "Generating answer for test #53"
scripts/gen-answer.sh tests/53 tests/53.a "tests" ""
echo ""
echo "Generating answer for test #54"
scripts/gen-answer.sh tests/54 tests/54.a "tests" ""
echo ""
echo "Generating answer for test #55"
scripts/gen-answer.sh tests/55 tests/55.a "tests" ""
echo ""
echo "Generating answer for test #56"
scripts/gen-answer.sh tests/56 tests/56.a "tests" ""
echo ""
echo "Generating answer for test #57"
scripts/gen-answer.sh tests/57 tests/57.a "tests" ""
echo ""
echo "Generating answer for test #58"
scripts/gen-answer.sh tests/58 tests/58.a "tests" ""
echo ""
echo "Generating answer for test #59"
scripts/gen-answer.sh tests/59 tests/59.a "tests" ""
echo ""
echo "Generating answer for test #60"
scripts/gen-answer.sh tests/60 tests/60.a "tests" ""
echo ""
echo "Generating answer for test #61"
scripts/gen-answer.sh tests/61 tests/61.a "tests" ""
echo ""
echo "Generating answer for test #62"
scripts/gen-answer.sh tests/62 tests/62.a "tests" ""
echo ""
echo "Generating answer for test #63"
scripts/gen-answer.sh tests/63 tests/63.a "tests" ""
echo ""
echo "Generating answer for test #64"
scripts/gen-answer.sh tests/64 tests/64.a "tests" ""
echo ""
echo "Generating answer for test #65"
scripts/gen-answer.sh tests/65 tests/65.a "tests" ""
echo ""
echo "Generating answer for test #66"
scripts/gen-answer.sh tests/66 tests/66.a "tests" ""
echo ""
echo "Generating answer for test #67"
scripts/gen-answer.sh tests/67 tests/67.a "tests" ""
echo ""
echo "Generating answer for test #68"
scripts/gen-answer.sh tests/68 tests/68.a "tests" ""
echo ""
echo "Generating answer for test #69"
scripts/gen-answer.sh tests/69 tests/69.a "tests" ""
echo ""
echo "Generating answer for test #70"
scripts/gen-answer.sh tests/70 tests/70.a "tests" ""
echo ""
echo "Generating answer for test #71"
scripts/gen-answer.sh tests/71 tests/71.a "tests" ""
echo ""
echo "Generating answer for test #72"
scripts/gen-answer.sh tests/72 tests/72.a "tests" ""
echo ""
echo "Generating answer for test #73"
scripts/gen-answer.sh tests/73 tests/73.a "tests" ""
echo ""
echo "Generating answer for test #74"
scripts/gen-answer.sh tests/74 tests/74.a "tests" ""
echo ""
echo "Generating answer for test #75"
scripts/gen-answer.sh tests/75 tests/75.a "tests" ""
echo ""
echo "Generating answer for test #76"
scripts/gen-answer.sh tests/76 tests/76.a "tests" ""
echo ""
echo "Generating answer for test #77"
scripts/gen-answer.sh tests/77 tests/77.a "tests" ""
echo ""
echo "Generating answer for test #78"
scripts/gen-answer.sh tests/78 tests/78.a "tests" ""
echo ""
echo "Generating answer for test #79"
scripts/gen-answer.sh tests/79 tests/79.a "tests" ""
echo ""
echo "Generating answer for test #80"
scripts/gen-answer.sh tests/80 tests/80.a "tests" ""
echo ""
echo "Generating answer for test #81"
scripts/gen-answer.sh tests/81 tests/81.a "tests" ""
echo ""
echo "Generating answer for test #82"
scripts/gen-answer.sh tests/82 tests/82.a "tests" ""
echo ""
echo "Generating answer for test #83"
scripts/gen-answer.sh tests/83 tests/83.a "tests" ""
echo ""
echo "Generating answer for test #84"
scripts/gen-answer.sh tests/84 tests/84.a "tests" ""
echo ""
echo "Generating answer for test #85"
scripts/gen-answer.sh tests/85 tests/85.a "tests" ""
echo ""
echo "Generating answer for test #86"
scripts/gen-answer.sh tests/86 tests/86.a "tests" ""
echo ""
echo "Generating answer for test #87"
scripts/gen-answer.sh tests/87 tests/87.a "tests" ""
echo ""
echo "Generating answer for test #88"
scripts/gen-answer.sh tests/88 tests/88.a "tests" ""
echo ""
echo "Generating answer for test #89"
scripts/gen-answer.sh tests/89 tests/89.a "tests" ""
echo ""
echo "Generating answer for test #90"
scripts/gen-answer.sh tests/90 tests/90.a "tests" ""
echo ""
echo "Generating answer for test #91"
scripts/gen-answer.sh tests/91 tests/91.a "tests" ""
echo ""
echo "Generating answer for test #92"
scripts/gen-answer.sh tests/92 tests/92.a "tests" ""
echo ""
echo "Generating answer for test #93"
scripts/gen-answer.sh tests/93 tests/93.a "tests" ""
echo ""
echo "Generating answer for test #94"
scripts/gen-answer.sh tests/94 tests/94.a "tests" ""
echo ""
echo "Generating answer for test #95"
scripts/gen-answer.sh tests/95 tests/95.a "tests" ""
echo ""
echo "Generating answer for test #96"
scripts/gen-answer.sh tests/96 tests/96.a "tests" ""
echo ""
echo "Generating answer for test #97"
scripts/gen-answer.sh tests/97 tests/97.a "tests" ""
echo ""
echo "Generating answer for test #98"
scripts/gen-answer.sh tests/98 tests/98.a "tests" ""
echo ""
echo "Generating answer for test #99"
scripts/gen-answer.sh tests/99 tests/99.a "tests" ""
echo ""
echo "Generating answer for test #100"
scripts/gen-answer.sh tests/100 tests/100.a "tests" ""
echo ""
echo "Generating answer for test #101"
scripts/gen-answer.sh tests/101 tests/101.a "tests" ""
echo ""
echo "Generating answer for test #102"
scripts/gen-answer.sh tests/102 tests/102.a "tests" ""
echo ""
echo "Generating answer for test #103"
scripts/gen-answer.sh tests/103 tests/103.a "tests" ""
echo ""
echo "Generating answer for test #104"
scripts/gen-answer.sh tests/104 tests/104.a "tests" ""
echo ""
echo "Generating answer for test #105"
scripts/gen-answer.sh tests/105 tests/105.a "tests" ""
echo ""
echo "Generating answer for test #106"
scripts/gen-answer.sh tests/106 tests/106.a "tests" ""
echo ""
echo "Generating answer for test #107"
scripts/gen-answer.sh tests/107 tests/107.a "tests" ""
echo ""
echo "Generating answer for test #108"
scripts/gen-answer.sh tests/108 tests/108.a "tests" ""
echo ""
echo "Generating answer for test #109"
scripts/gen-answer.sh tests/109 tests/109.a "tests" ""
echo ""
echo "Generating answer for test #110"
scripts/gen-answer.sh tests/110 tests/110.a "tests" ""
echo ""
echo "Generating answer for test #111"
scripts/gen-answer.sh tests/111 tests/111.a "tests" ""
echo ""
echo "Generating answer for test #112"
scripts/gen-answer.sh tests/112 tests/112.a "tests" ""
echo ""
echo "Generating answer for test #113"
scripts/gen-answer.sh tests/113 tests/113.a "tests" ""
echo ""
echo "Generating answer for test #114"
scripts/gen-answer.sh tests/114 tests/114.a "tests" ""
echo ""
echo "Generating answer for test #115"
scripts/gen-answer.sh tests/115 tests/115.a "tests" ""
echo ""
echo "Generating answer for test #116"
scripts/gen-answer.sh tests/116 tests/116.a "tests" ""
echo ""
echo "Generating answer for test #117"
scripts/gen-answer.sh tests/117 tests/117.a "tests" ""
echo ""
echo "Generating answer for test #118"
scripts/gen-answer.sh tests/118 tests/118.a "tests" ""
echo ""
echo "Generating answer for test #119"
scripts/gen-answer.sh tests/119 tests/119.a "tests" ""
echo ""
echo "Generating answer for test #120"
scripts/gen-answer.sh tests/120 tests/120.a "tests" ""
echo ""
echo "Generating answer for test #121"
scripts/gen-answer.sh tests/121 tests/121.a "tests" ""
echo ""
echo "Generating answer for test #122"
scripts/gen-answer.sh tests/122 tests/122.a "tests" ""
echo ""
echo "Generating answer for test #123"
scripts/gen-answer.sh tests/123 tests/123.a "tests" ""
echo ""
echo "Generating answer for test #124"
scripts/gen-answer.sh tests/124 tests/124.a "tests" ""
echo ""
echo "Generating answer for test #125"
scripts/gen-answer.sh tests/125 tests/125.a "tests" ""
echo ""
echo "Generating answer for test #126"
scripts/gen-answer.sh tests/126 tests/126.a "tests" ""
echo ""
echo "Generating answer for test #127"
scripts/gen-answer.sh tests/127 tests/127.a "tests" ""
echo ""
echo "Generating answer for test #128"
scripts/gen-answer.sh tests/128 tests/128.a "tests" ""
echo ""
echo "Generating answer for test #129"
scripts/gen-answer.sh tests/129 tests/129.a "tests" ""
echo ""
echo "Generating answer for test #130"
scripts/gen-answer.sh tests/130 tests/130.a "tests" ""
echo ""
echo "Generating answer for test #131"
scripts/gen-answer.sh tests/131 tests/131.a "tests" ""
echo ""
echo "Generating answer for test #132"
scripts/gen-answer.sh tests/132 tests/132.a "tests" ""
echo ""
echo "Generating answer for test #133"
scripts/gen-answer.sh tests/133 tests/133.a "tests" ""
echo ""
echo "Generating answer for test #134"
scripts/gen-answer.sh tests/134 tests/134.a "tests" ""
echo ""
echo "Generating answer for test #135"
scripts/gen-answer.sh tests/135 tests/135.a "tests" ""
echo ""
echo "Generating answer for test #136"
scripts/gen-answer.sh tests/136 tests/136.a "tests" ""
echo ""
echo "Generating answer for test #137"
scripts/gen-answer.sh tests/137 tests/137.a "tests" ""
echo ""
echo "Generating answer for test #138"
scripts/gen-answer.sh tests/138 tests/138.a "tests" ""
echo ""
echo "Generating answer for test #139"
scripts/gen-answer.sh tests/139 tests/139.a "tests" ""
echo ""
echo "Generating answer for test #140"
scripts/gen-answer.sh tests/140 tests/140.a "tests" ""
echo ""
echo "Generating answer for test #141"
scripts/gen-answer.sh tests/141 tests/141.a "tests" ""
echo ""
echo "Generating answer for test #142"
scripts/gen-answer.sh tests/142 tests/142.a "tests" ""
echo ""
echo "Generating answer for test #143"
scripts/gen-answer.sh tests/143 tests/143.a "tests" ""
echo ""
echo "Generating answer for test #144"
scripts/gen-answer.sh tests/144 tests/144.a "tests" ""
echo ""
echo "Generating answer for test #145"
scripts/gen-answer.sh tests/145 tests/145.a "tests" ""
echo ""
echo "Generating answer for test #146"
scripts/gen-answer.sh tests/146 tests/146.a "tests" ""
echo ""
echo "Generating answer for test #147"
scripts/gen-answer.sh tests/147 tests/147.a "tests" ""
echo ""
echo "Generating answer for test #148"
scripts/gen-answer.sh tests/148 tests/148.a "tests" ""
echo ""
echo "Generating answer for test #149"
scripts/gen-answer.sh tests/149 tests/149.a "tests" ""
echo ""
echo "Generating answer for test #150"
scripts/gen-answer.sh tests/150 tests/150.a "tests" ""
echo ""
echo "Generating answer for test #151"
scripts/gen-answer.sh tests/151 tests/151.a "tests" ""
echo ""
echo "Generating answer for test #152"
scripts/gen-answer.sh tests/152 tests/152.a "tests" ""
echo ""
echo "Generating answer for test #153"
scripts/gen-answer.sh tests/153 tests/153.a "tests" ""
echo ""
echo "Generating answer for test #154"
scripts/gen-answer.sh tests/154 tests/154.a "tests" ""
echo ""
echo "Generating answer for test #155"
scripts/gen-answer.sh tests/155 tests/155.a "tests" ""
echo ""
echo "Generating answer for test #156"
scripts/gen-answer.sh tests/156 tests/156.a "tests" ""
echo ""
echo "Generating answer for test #157"
scripts/gen-answer.sh tests/157 tests/157.a "tests" ""
echo ""
echo "Generating answer for test #158"
scripts/gen-answer.sh tests/158 tests/158.a "tests" ""
echo ""
echo "Generating answer for test #159"
scripts/gen-answer.sh tests/159 tests/159.a "tests" ""
echo ""
echo "Generating answer for test #160"
scripts/gen-answer.sh tests/160 tests/160.a "tests" ""
echo ""
echo "Generating answer for test #161"
scripts/gen-answer.sh tests/161 tests/161.a "tests" ""
echo ""
echo "Generating answer for test #162"
scripts/gen-answer.sh tests/162 tests/162.a "tests" ""
echo ""
echo "Generating answer for test #163"
scripts/gen-answer.sh tests/163 tests/163.a "tests" ""
echo ""
echo "Generating answer for test #164"
scripts/gen-answer.sh tests/164 tests/164.a "tests" ""
echo ""
echo "Generating answer for test #165"
scripts/gen-answer.sh tests/165 tests/165.a "tests" ""
echo ""
echo "Generating answer for test #166"
scripts/gen-answer.sh tests/166 tests/166.a "tests" ""
echo ""
echo "Generating answer for test #167"
scripts/gen-answer.sh tests/167 tests/167.a "tests" ""
echo ""
echo "Generating answer for test #168"
scripts/gen-answer.sh tests/168 tests/168.a "tests" ""
echo ""
echo "Generating answer for test #169"
scripts/gen-answer.sh tests/169 tests/169.a "tests" ""
echo ""
echo "Generating answer for test #170"
scripts/gen-answer.sh tests/170 tests/170.a "tests" ""
echo ""
echo "Generating answer for test #171"
scripts/gen-answer.sh tests/171 tests/171.a "tests" ""
echo ""
echo "Generating answer for test #172"
scripts/gen-answer.sh tests/172 tests/172.a "tests" ""
echo ""
echo "Generating answer for test #173"
scripts/gen-answer.sh tests/173 tests/173.a "tests" ""
echo ""
echo "Generating answer for test #174"
scripts/gen-answer.sh tests/174 tests/174.a "tests" ""
echo ""
echo "Generating answer for test #175"
scripts/gen-answer.sh tests/175 tests/175.a "tests" ""
echo ""
echo "Generating answer for test #176"
scripts/gen-answer.sh tests/176 tests/176.a "tests" ""
echo ""
echo "Generating answer for test #177"
scripts/gen-answer.sh tests/177 tests/177.a "tests" ""
echo ""
echo "Generating answer for test #178"
scripts/gen-answer.sh tests/178 tests/178.a "tests" ""
echo ""
echo "Generating answer for test #179"
scripts/gen-answer.sh tests/179 tests/179.a "tests" ""
echo ""
echo "Generating answer for test #180"
scripts/gen-answer.sh tests/180 tests/180.a "tests" ""
echo ""
echo "Generating answer for test #181"
scripts/gen-answer.sh tests/181 tests/181.a "tests" ""
echo ""

