#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int cycles = atoi(argv[1]);
	int from_sz = atoi(argv[2]);
	int to_sz = atoi(argv[3]);
	int sz_w = atoi(argv[4]);
	int w = atoi(argv[5]);

	int cnt = 0;
	vector<pii> edges;

	int sz0 = rnd.wnext(to_sz - from_sz + 1, sz_w) + from_sz;
	cnt = sz0;
	if (sz0 > 2) {
		for (int i = 0; i < sz0; ++i) {
			int next = (i + 1) % sz0;
			edges.push_back({i, next});
		}
	} else {
		edges.push_back({0, 1});
	}

	for (int i = 1; i < cycles; ++i) {
		int cur_sz = rnd.wnext(to_sz - from_sz + 1, sz_w) + from_sz;
		int prev_v = rnd.wnext(cnt, w);
		if (cur_sz == 2) {
			edges.push_back({prev_v, cnt});
			++cnt;
		} else {
			vector<int> cycle = {prev_v};
			for (int j = 1; j < cur_sz; ++j) {
				cycle.push_back(cnt++);
			}
			for (int j = 0; j < cur_sz; ++j) {
				int next = (j + 1) % cur_sz;
				edges.push_back({cycle[j], cycle[next]});
			}
		}
	}

	shuffle(edges.begin(), edges.end());
	vector<int> order(cnt);
	iota(order.begin(), order.end(), 0);
	shuffle(order.begin(), order.end());

	cout << cnt << " " << szof(edges) << "\n";

	for (auto e : edges) {
		int a = e.ff;
		int b = e.ss;
		if (rnd.next(0, 1)) {
			swap(a, b);
		}
		cout << order[a] + 1 << " " << order[b] + 1 << "\n";
	}

	return 0;
}