#include <bits/stdc++.h>
#include "testlib.h"
#define ff first
#define ss second
#define szof(_x) ((int) (_x).size())

using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 7;
const ll INFL = 1e18 + 123;
const double PI = atan2(0, -1);

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = atoi(argv[1]);
	int w = atoi(argv[2]);

	vector<pii> edges = {{0, 1}, {1, 2}, {2, 0}};
	int cnt = 3;
	for (int i = 1; i < n; ++i) {
		int any = rnd.wnext(cnt, w);
		edges.push_back({any, cnt});
		edges.push_back({any, cnt + 1});
		edges.push_back({cnt, cnt + 1});
		cnt += 2;
	}

	shuffle(edges.begin(), edges.end());
	vector<int> order(cnt);
	iota(order.begin(), order.end(), 0);
	shuffle(order.begin(), order.end());

	cout << cnt << " " << szof(edges) << "\n";

	for (auto e : edges) {
		int a = e.ff;
		int b = e.ss;
		if (rnd.next(0, 1)) {
			swap(a, b);
		}
		cout << order[a] + 1 << " " << order[b] + 1 << "\n";
	}


	return 0;
}