///created by Arsenii Kirillov
#ifdef DEBUG
# define _GLIBCXX_DEBUG
#endif

#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int) (x).size())
#define empty kukareku

template <typename T>
T input() {
    T res;
    std::cin >> res;
    return res;
}

template <typename IT>
void input_seq(IT b, IT e) {
    std::generate(b, e, input<typename std::remove_reference<decltype(*b)>::type>);
}

#define SZ(vec)         int((vec).size())
#define ALL(data)       data.begin(),data.end()
#define RALL(data)      data.rbegin(),data.rend()
#define TYPEMAX(type)   std::numeric_limits<type>::max()
#define TYPEMIN(type)   std::numeric_limits<type>::min()


using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 123;
const ll INFL = 1e18 + 1e6;
mt19937 tw(228);
ll rnd(ll l, ll r) { return tw() % (r - l + 1) + l; }

int cnt = 0;
vector<vector<int> > cicles, vertex;
vector<int> empty;
vector<vector<int> > mas((int)1e5 + 10);
int used[(int)1e5 + 10], h[(int)1e5 + 10], live[(int)2e5 + 10];
pair<int, int> par[(int)1e5 + 10];

pair<int, int> dfs(int v, int pr)
{
	//cerr << v << " " << pr << endl;
	used[v] = 1;
	int add = -1, ind = -1;
	for (int u: mas[v])
	{
		if (used[u] == 0)
		{
			h[u] = h[v] + 1;
			auto p = dfs(u, v);
			if (p.first >= 0)
			{
				cicles[p.second].push_back(v);
				vertex[v].push_back(p.second);
				if (p.first > 0)
				{
					add = p.first - 1;
					ind = p.second;
				}
			}
		}
		else if (u != pr && h[u] < h[v] && (h[v] + h[u]) % 2 == 0)
		{
			add = h[v] - h[u];
			ind = cnt++;
			cicles.push_back(empty);
			cicles[ind].push_back(v);
			vertex[v].push_back(ind);
		}
	}
	return {add, ind};
}

void solve() {
	int n, m;
	cin >> n >> m;
	vertex.resize(n);
	for (int i = 0; i < m; i++)
	{
		int a, b;
		cin >> a >> b;
		a--;
		b--;
		mas[a].push_back(b);
		mas[b].push_back(a);
	}
	h[0] = 0;
	//cerr << 1 << endl;
	dfs(0, -1);
	//cerr << 2 << endl;
	set<pair<int, int> > se;
	int ans = 0;
	for (int i = 0; i < n; i++)
	{
		par[i] = {-vertex[i].size(), i};
		if (par[i].first < 0)
			se.insert(par[i]);
	}
	fill(live, live + cnt, 1);
	//cerr << 3 << endl;
	while (se.size())
	{
		int i = se.begin()->second;
		ans++;
		for (int j: vertex[i])
		{
			if (live[j])
			{
				live[j] = 0;
				for (int q: cicles[j])
				{
					se.erase(par[q]);
					par[q].first++;
					if (par[q].first < 0)
						se.insert(par[q]);
				}
			}
		}
	}
	//cerr << 4 << endl;
	cout << ans << endl;
}

int main() {
    cout << fixed << setprecision(15);
    cerr << fixed << setprecision(15);
    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int t = 1;
    // cin >> t;
    for (int i = 0; i < t; ++i) {
        solve();
    }

#ifdef LOCAL
    cerr << "time: " << clock() * 1000 / CLOCKS_PER_SEC << endl;
#endif
    return 0;
}