#include <bits/stdc++.h>

using namespace std;

long long n, a;
const long long p = 998244353;

vector<vector<long long>> st = {{0, 1},{1, 1}};

void fib(long long n, vector<vector<long long> >& matrix) {
    if (n == 1) {
        return;
    }
    if (n % 2 == 0) {
        fib(n / 2, matrix);
        long long a = matrix[0][0];
        long long b = matrix[0][1];
        long long c = matrix[1][0];
        long long d = matrix[1][1];
        matrix[0][0] = (a * a + b * c) % p;
        matrix[0][1] = (a * b + b * d) % p;
        matrix[1][0] = (a * c + c * d) % p;
        matrix[1][1] = (b * c + d * d) % p;
    } else {
        fib(n - 1, matrix);
        long long a = matrix[0][0];
        long long b = matrix[0][1];
        long long c = matrix[1][0];
        long long d = matrix[1][1];
        matrix[0][0] = (a * st[0][0] + b * st[1][0]) % p;
        matrix[0][1] = (a * st[0][1] + b * st[1][1]) % p;
        matrix[1][0] = (st[0][0] * c + st[0][1] * d) % p;
        matrix[1][1] = (st[0][1] * c + st[1][1] * d) % p;
    }
}

int main() {
    //freopen("guyaury.in", "r", stdin);
    //freopen("guyaury.out", "w", stdout);
    cin >> n;
    if (n == 0) {
        cout << 1 << endl;
        return 0;
    }
    if (n == 1) {
        cout << 2 << endl;
        return 0;
    }
    vector<vector<long long>> now = {{0, 1},{1, 1}};
    fib(n, now);
    cout << ((now[0][0] + now[0][1]) * (now[1][0] + now[1][1])) % p << endl;
    return 0;
}