#include <bits/stdc++.h>
using namespace std;

const int A = 'z' - 'a' + 1;

vector<int> z_func(string s)
{
    int n = s.size();
    vector<int> z(n);
    z[0] = s.size();
    int l = 0, r = 0;
    for (int i = 1; i < n; i++)
    {
        z[i] = max(0, min(r - i, z[i - l]));
        while (i + z[i] < n && s[i + z[i]] == s[z[i]])
            z[i]++;
        if (i + z[i] > r)
            l = i, r = i + z[i];
    }
    return z;
}

int main()
{
    int n;
    cin >> n;
    string s, t;
    cin >> s >> t;
    for (int d = -A; d <= A; d++)
    {
        string t_ = t;
        for (int i = 0; i < n; i++)
            t_[i] = (26 + (t_[i] - 'a') - d) % 26 + 'a';
        t_ = s + "#" + t_ + t_;
        auto z = z_func(t_);
        for (int i = 0; i < n; i++)
        {
            if (z[i + s.size() + 1] == s.size())
            {
                cout << "Success" << endl;
                cout << i << ' '  << t[i] - s[0] << endl;
                return 0;
            }
        }
    }
    cout << "Impossible" << endl;
    return 0;
}