// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	int n;
	cin >> n;
	string s, t;
	cin >> s >> t;
	vector<int> arr;
	for (int i = 0; i < n; ++i) {
		arr.push_back((s[(i + 1) % n] - s[i] + 26) % 26);
	}
	arr.push_back(-1);
	for (int i = 0; i < n * 2; ++i) {
		arr.push_back((t[(i + 1) % n] - t[i % n] + 26) % 26);
	}

	vector<int> z(szof(arr));
	int l = 0, r = 0;
	for (int i = 1; i < szof(arr); ++i) {
		if (i < r) {
			z[i] = min(r - i, z[i - l]);
		}
		while (i + z[i] < szof(arr) && arr[i + z[i]] == arr[z[i]]) {
			++z[i];
		}
		if (i + z[i] > r) {
			l = i;
			r = i + z[i];
		}
		if (z[i] == n) {
			int shift = i - n - 1;
			int char_shift = (t[shift] - s[0] - 26) % 26;
			cout << "Success\n";
			cout << shift << " " << char_shift << "\n";
			return;
		}
	}
	cout << "Impossible\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
