// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

bool ask(ll val) {
	cout << "? " << val << endl;
	string s;
	cin >> s;
	if (s == "fail") {
		exit(0);
	}
	return s == "accepted";
}

void answer(ll ans) {
	cout << "!" << endl;
}

void solve() {
	int l = -1, r = 60;
	int take = 0;
	ll ans = 0;
	while (r - l > 1) {
		int mid = (l + r) / 2;
		ll val = 1ll << mid;
		if (ask(val)) {
			ans += val;
			take = mid;
			l = mid;
		} else {
			r = mid;
		}
	}
	while (take) {
		ll val = 1ll << take;
		if (ask(val)) {
			ans += val;
		}
		--take;
	}
	answer(ans);
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
