#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

int readAndCheckAnswer(InStream& in, int x1, int y1, int x2, int y2) {
	int n = in.readInt(-1, 1'000'000);
	if (n == -1)
		return n;
    string s = in.readToken(format("[1-4]{%d}", n));
    for (char c: s)
    {
    	int q = c - '1';
    	int st_x = 0;
    	if (q > 1)
    	{
    		st_x++;
    		x1--;
    	}
    	if (q & 1)
    	{
    		swap(x1, y1);
    		x1 *= -1;
    	}
    	else
    	{
    		swap(x1, y1);
    		y1 *= -1;
    	}
    	x1 += st_x;
    }
    if (x1 != x2 || y1 != y2)
	    in.quitf(_wa, "robot came to position (%d, %d) instead of (%d, %d)", x1, y1, x2, y2);
	return n;
}

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);
    
    int x1 = inf.readInt();
    int y1 = inf.readInt();
    int x2 = inf.readInt();
    int y2 = inf.readInt();

    int j_ans = readAndCheckAnswer(ans, x1, y1, x2, y2);
    int p_ans = readAndCheckAnswer(ouf, x1, y1, x2, y2);
    
    if (j_ans >= 0 && p_ans == -1)
    	quitf(_wa, "path exists, while participant didn't find it");
    if (j_ans == -1 && p_ans >= 0)
    	quitf(_fail, "participant find a path, while jury didn't");
    quitf(_ok, "length = %d", p_ans);
}