#include "testlib.h"
#include <iostream>

using namespace std;

int maxx = (int)1e5;

pair<int, int> gen_point()
{
	int x = maxx;
	if (rnd.next(0, 1))
		x = -maxx;
	int y = rnd.next(-maxx, maxx);
	if (rnd.next(0, 1))
		swap(x, y);
	return {x, y};
}

int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);

    int q = atoi(argv[1]);
    pair<int, int> p1 = gen_point();
    pair<int, int> p2 = gen_point();
    while (p1 == p2 || (p1.first + p1.second + p2.first + p2.second + q + 1) % 2 != 0)
    {
    	p1 = gen_point();
    	p2 = gen_point();
    }
    cout << p1.first << " " << p1.second << "\n" << p2.first << " " << p2.second << endl;
    return 0;
}