// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }


void solve() {
	int n;
	cin >> n;
	if (n * 2 > 30) {
		while (true) {
			
		}
	}
	string s, t;
	cin >> s >> t;
	vector<int> ans(n + 1);
	vector<int> dsu(n + 1);
	function<int(int)> get_root = [&](int v) {
		return dsu[v] == v ? v : dsu[v] = get_root(dsu[v]);
	};
	auto unite = [&](int a, int b) {
		a = get_root(a);
		b = get_root(b);
		if (a == b) {
			return false;
		}
		dsu[a] = b;
		return true;
	};
	for (int mask = 0; mask < 1 << (n * 2); ++mask) {
		if (__builtin_popcount(mask) != n) {
			continue;
		}
		iota(dsu.begin(), dsu.end(), 0);
		bool ok = true;
		int cnt = 0;
		for (int i = 0; i < n; ++i) {
			if (mask & (1 << i)) {
				if (s[i] == '-') {
					ok = false;
					break;
				}
				cnt += s[i] == 'W';
				if (!unite(i, (i + 1) % n)) {
					ok = false;
					break;
				}
			}
			if (mask & (1 << (i + n))) {
				if (t[i] == '-') {
					ok = false;
					break;
				}
				cnt += t[i] == 'W';
				if (!unite(n, i)) {
					ok = false;
					break;
				}
			}
		}
		if (ok) {
			ans[cnt]++;
		}
	}
	for (int num : ans) {
		cout << num << " ";
	}
	cout << "\n";
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
