#include <bits/stdc++.h>
#include "testlib.h"
using namespace std;

int n;
string s, t;

inline int readAndCheckAnswer(InStream& in) {
    string ans = in.readLine();
    if (ans == "Impossible")
        return -1;
    if (ans != "Success")
        in.quitf(_wa, "Unexpected answer: %s", s.c_str());
    int k = in.readInt(0, n - 1);
    int d = in.readInt(-26, 26);
    string t_ = t;
    for (int i = 0; i < n; i++)
        t_[i] = (26 + (t_[i] - 'a') - d) % 26 + 'a';
    if (s == t_.substr(k, n - k) + t_.substr(0, k))
        return 1;
    else
        in.quitf(_wa, "Incorrect rotation parameters");
}

int main(int argc, char* argv[]) {
    registerTestlibCmd(argc, argv);
    
    n = inf.readInt();
    inf.readEoln();
    s = inf.readLine();
    t = inf.readLine();

    
    int jans = readAndCheckAnswer(ans);
    int pans = readAndCheckAnswer(ouf);

    if (jans == pans)
        quitf(_ok, "n=%d", n);
    else if (jans == -1)
        quitf(_fail, "Participant found answer, but jury not");
    else
        quitf(_wa, "Jury found answer, but participant not");
        
}
