#include <bits/stdc++.h>
using namespace std;

const int A =  'z' - 'a' + 1;
const int P = 43;
const int M = int(1e9) + 7;

vector<long long> powP;

vector<long long> calcHash(const vector<int> &s)
{
    vector<long long> h(s.size());
    h[0] = s[0];
    for (int i = 1; i < int(s.size()); i++)
        h[i] = (h[i - 1] * P + s[i]) % M;
    return h;
}

long long getHash(vector<long long> &h, int l, int r)
{
    if (r < 0)
        return 0;
    if (l == 0)
        return h[r];
    return (M + h[r] - (h[l - 1] * powP[r - l + 1]) % M) % M;
}

int main()
{
    int n;
    cin >> n;
    string s, t;
    cin >> s >> t;
    for (int d = -A; d <= A; d++)
    {
        string t_ = t;
        for (int i = 0; i < n; i++)
           t_[i] = (26 + (t_[i] - 'a') - d) % 26 + 'a';
        for (int i = 0; i < n; i++)
        {
            if (s == t_.substr(i, n - i) + t_.substr(0, i)) 
            {  
                cout << "Success" << endl;
                cout << i << ' '  << t[i] - s[0] << endl;
                return 0;
            }
        }
    }
    cout << "Impossible" << endl;
    return 0;
}