#include <bits/stdc++.h>
#include "testlib.h"

using namespace std;

#define forn(i, n) for (int i = 0; i < int(n); i++)

using namespace std;

/* Generates random tree. */
int main(int argc, char* argv[])
{
    registerGen(argc, argv, 1);

    /* Number of vertices. */
    int n = atoi(argv[1]);
    /* Parameter to specify tree form (t=0 stands for just random parent for a child). */
    int t = atoi(argv[2]);
    int f = atoi(argv[3]);

    /* Set parents. */
    vector<int> p(n);
    forn(i, n)
        if (i > 0)
            /* Parent is a number between 0..i-1, average value depends on t. */
            p[i] = rnd.wnext(i, t);

    vector<int> perm(n);
    forn(i, n)
        perm[i] = i;
    /* Random permutation of all vertices except 0. */
    shuffle(perm.begin() + 1, perm.end());

    vector<pair<int,int>> edges;
    for (int i = 1; i < n; i++)
        if (rnd.next(2))
            edges.push_back(make_pair(perm[i], perm[p[i]]));
        else
            edges.push_back(make_pair(perm[p[i]], perm[i]));

    shuffle(edges.begin(), edges.end());
    printf("%d %d %d %d\n", n, n - 1, 1, rnd.next(2, n));
    for (int i = 0; i + 1 < n; i++) {
        int t1 = rnd.next(1, 1000000000);
        int t2 = rnd.next(1, 1000000000);
        int t3 = t1;
        if (f == 1) {
            t3 = rnd.next(1, t1);
        }
        printf("%d %d %d %d %d\n", edges[i].first + 1, edges[i].second + 1, t1, t2, t3);
    }
}