#include "testlib.h"
#include <iostream>
#include <vector>
#include <set>

using namespace std;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    long long real_or_not = stoll(argv[1]);
    if (real_or_not == 0) {
        long long n = stoll(argv[2]);
        cout << n;
        vector<pair<int, int> > vec;
        for (int i = 0; i < n; i++) {
            for (int j = i + 1; j < n; j++) {
                long long maxb = stoll(argv[3]);
                long long rn = rnd.next(1ll, 1000000000ll);
                if (rn < maxb) {
                    vec.push_back({i + 1, j + 1});
                }
            }    
        }
        int s = rnd.next(1ll, n);
        int t = rnd.next(1ll, n);
        cout << " " << vec.size() << " " << s << " " << t << endl; 
        for (int i = 0; i < vec.size(); i++) {
            int t3t1 = rnd.next(1ll, 1000000000ll);
            int t2 = rnd.next(1ll, 1000000000ll);
            cout << vec[i].first << " " << vec[i].second << " " << t3t1 << " " << t2 << " " << t3t1 << endl;
        }
    } else {
        long long n = stoll(argv[2]);
        long long m = stoll(argv[3]);
        int s = rnd.next(1ll, n);
        int t = rnd.next(1ll, n);
        cout << n << " " << m << " " << s << " " << t << endl;
        set<pair<int, int> > vec;
        for (int i = 0; i < m; i++) {
            int s = rnd.next(1ll, n);
            int t = rnd.next(1ll, n);
            while (s == t || vec.count({s, t}) == 1 || vec.count({t, s}) == 1) {
                s = rnd.next(1ll, n);
                t = rnd.next(1ll, n);
            }
            vec.insert({s,t});
        }
        for (auto i : vec) {
            int t3t1 = rnd.next(1ll, 1000000000ll);
            int t2 = rnd.next(1ll, 1000000000ll);
            cout << i.first << " " << i.second << " " << t3t1 << " " <<  t2 << " " << t3t1 << endl;
        }
    }
    return 0;
    
}
