#include <bits/stdc++.h>

using namespace std;

struct node {
    int to;
    long long t1;
    long long t2;
    long long t3;

    node(int to, long long t1, long long t2, long long t3) : to(to), t1(t1), t2(t2), t3(t3) {}
};

int n, m, a, b, s, t1, t2, t3, t;
vector<vector<node>> graph;
vector<long long> dist;
set<pair<long long, int> > set1;

int findmin() {
    return (*set1.begin()).second;
}

int main() {
    ios_base::sync_with_stdio(0);
    cin >> n >> m >> s >> t;
    graph.resize(n);
    dist.resize(n);
    for (int i = 0; i < m; i++) {
        cin >> a >> b >> t1 >> t2 >> t3;
        if (t3 > t1) {
            continue;
        }
        graph[a - 1].push_back({b - 1, t1, t2, t3});
        graph[b - 1].push_back({a - 1, t1, t2, t3});
    }
    for (int i = 0; i < n; i++) {
        dist[i] = (long long) 1e18;
        set1.insert({dist[i], i});
    }
    set1.insert({0, s - 1});
    dist[s - 1] = 0;
    set1.erase({1e18, s - 1});
    for (int i = 0; i < n; i++) {
        a = findmin();
        set1.erase({dist[a], a});
        for (auto j : graph[a]) {
            if (set1.count({dist[j.to], j.to}) == 1) {
                set1.erase({dist[j.to], j.to});
                long long t1 = j.t1;
                long long t2 = j.t2;
                long long teshe4ka = dist[a] / (t1 + t2);
                if ((dist[a] - teshe4ka * (t1 + t2) + j.t3) <= t1) {
                    dist[j.to] = min(dist[j.to], dist[a] + j.t3);
                    set1.insert({dist[j.to], j.to});
                } else {
                    dist[j.to] = min(dist[j.to], (teshe4ka + 1) * (t1 + t2) + j.t3);
                    set1.insert({dist[j.to], j.to});
                }
            }
        }
    }
    if (dist[t - 1] == 1e18) {
        cout << -1 << endl;
    } else {
        cout << dist[t - 1] << endl;
    }
    return 0;
}