///created by Arsenii Kirillov
#ifdef DEBUG
# define _GLIBCXX_DEBUG
#endif

#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int) (x).size())

template <typename T>
T input() {
    T res;
    std::cin >> res;
    return res;
}

template <typename IT>
void input_seq(IT b, IT e) {
    std::generate(b, e, input<typename std::remove_reference<decltype(*b)>::type>);
}

#define SZ(vec)         int((vec).size())
#define ALL(data)       data.begin(),data.end()
#define RALL(data)      data.rbegin(),data.rend()
#define TYPEMAX(type)   std::numeric_limits<type>::max()
#define TYPEMIN(type)   std::numeric_limits<type>::min()


using namespace std;
typedef long long ll;
typedef pair<int, int> pii;
const int INF = 1e9 + 123;
const ll INFL = 1e18 + 1e6;
mt19937 tw(228);
ll rnd(ll l, ll r) { return tw() % (r - l + 1) + l; }

void solve() {
	int x1, y1, x2, y2;
	cin >> x1 >> y1 >> x2 >> y2;
	if ((x1 + y1 + x2 + y2) % 2 != 0)
	{
		cout << -1 << endl;
		return;
	}
	vector<int> ans;
	while (y1 != y2)
	{
		if (y1 < y2)
		{
			if (x1 < x2)
			{
				ans.push_back(2);
				ans.push_back(3);
				x1++;
				y1++;
			}
			else
			{
				ans.push_back(3);
				ans.push_back(2);
				x1--;
				y1++;
			}
		}
		else
		{
			if (x1 > x2)
			{
				ans.push_back(4);
				ans.push_back(1);
				x1--;
				y1--;
			}
			else
			{
				ans.push_back(1);
				ans.push_back(4);
				x1++;
				y1--;
			}
		}
	}
	while (x1 != x2)
	{
		if (x1 < x2)
		{
			ans.push_back(1);
			ans.push_back(1);
			ans.push_back(3);
			ans.push_back(3);
			x1 += 2;
		}
		else
		{
			ans.push_back(4);
			ans.push_back(4);
			ans.push_back(2);
			ans.push_back(2);
			x1 -= 2;
		}
	}
	cout << ans.size() << "\n";
	for (int i: ans)
		cout << i;
	cout << endl;
}

int main() {
    cout << fixed << setprecision(15);
    cerr << fixed << setprecision(15);
    ios::sync_with_stdio(false);
    cin.tie(0); cout.tie(0);

    int t = 1;
    // cin >> t;
    for (int i = 0; i < t; ++i) {
        solve();
    }

#ifdef LOCAL
    cerr << "time: " << clock() * 1000 / CLOCKS_PER_SEC << endl;
#endif
    return 0;
}