// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;
int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;
#ifdef LOCAL
	mt19937 tw(9450189);
#else
	mt19937 tw(chrono::high_resolution_clock::now().time_since_epoch().count());
#endif
uniform_int_distribution<ll> ll_distr;
ll rnd(ll a, ll b) { return ll_distr(tw) % (b - a + 1) + a; }

pii move(int x, int y, int t) {
	if (t == 0) {
		return {y, -x};
	}
	if (t == 1) {
		return {-y, x};
	}
	if (t == 2) {
		--x;
		pii ret = {y, -x};
		++ret.ff;
		return ret;
	}
	if (t == 3) {
		--x;
		pii ret = {-y, x};
		++ret.ff;
		return ret;
	}
	assert(false);
}

void solve() {
	int x1, y1, x2, y2;
	cin >> x1 >> y1 >> x2 >> y2;
	vector<int> ans;
	while (x1 != x2 || y1 != y2) {
		vector<int> mem;
		pii mem_pos;
		int best = INF;
		vector<int> st;
		function<void(int, int, int)> rec = [&](int x, int y, int d) {
			int dist = abs(x - x2) + abs(y - y2);
			if (dist < best || (dist == best && szof(st) < szof(mem))) {
				best = dist;
				mem_pos = {x, y};
				mem = st;
			}
			if (d == 4) {
				return;
			}
			for (int t = 0; t < 4; ++t) {
				auto [nx, ny] = move(x, y, t);
				st.push_back(t);
				rec(nx, ny, d + 1);
				st.pop_back();
			}
		};
		rec(x1, y1, 0);
		if (!szof(mem)) {
			break;
		}
		for (int num : mem) {
			ans.push_back(num);
		}
		tie(x1, y1) = mem_pos;
	}

	if (x1 == x2 && y1 == y2) {
		// cerr << szof(ans) << endl;
		cout << szof(ans) << "\n";
		for (int num : ans) {
			cout << num + 1;
		}
		cout << "\n";
	} else {
		cout << "-1\n";
	}
}


int main() {
#ifdef LOCAL
	auto start_time = clock();
	cerr << setprecision(3) << fixed;
#endif
	cout << setprecision(15) << fixed;
	ios::sync_with_stdio(false);
	cin.tie(nullptr);

	int test_count = 1;
	// cin >> test_count;
	for (int test = 1; test <= test_count; ++test) {
		solve();
	}
	
#ifdef LOCAL
	auto end_time = clock();
	cerr << "Execution time: " << (end_time - start_time) * (int)1e3 / CLOCKS_PER_SEC << " ms\n";
#endif
}
